Bug 216955 - Ambiguity re: mirror repo vs. authoritative repo
Ambiguity re: mirror repo vs. authoritative repo
Status: CLOSED WONTFIX
Product: Fedora Documentation
Classification: Fedora
Component: docs-requests (Show other bugs)
devel
All Linux
medium Severity low
: ---
: ---
Assigned To: Paul W. Frields
Karsten Wade
http://fedora.redhat.com/docs/mirror/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-22 16:22 EST by Phil Regier
Modified: 2009-07-07 00:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-08 01:37:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil Regier 2006-11-22 16:22:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.0.8) Gecko/20061105 Red Hat/1.5.0.8-0.1.el4 Firefox/1.5.0.8 pango-text

Description of problem:
<quote>
If you want clients to use your mirror in place of the official repositories, disable the existing repositories. To do this, edit the client's file for the official repository to include the directive enabled=0. You will need root access to edit these files.
</quote>

The above is technically correct and useful, but provides an unfortunate choice between the speed offered by a local repo and the reliability offered by "official" mirror lists.

If, for example, the mirror tutorial was to include instructions on configuring a client using the yum-priorities package from Fedora Extras, then the procedure outlined in this document would result in a preferred local mirror backed up by the official Fedora mirrorlist, ideally resulting in maximum deployment speed, minimal Internet traffic, and built-in failure protection should the local mirror ever fail.

Version-Release number of selected component (if applicable):
mirror-tutorial-1.0.1 (2006-08-07)

How reproducible:
Didn't try


Steps to Reproduce:
Not Applicable

Actual Results:


Expected Results:


Additional info:
In addition to using yum-priorities, it may also be feasible to generate one's own mirrorlist by programatically appending the output of the "official" mirrorlist to the end of a file containing the local mirror(s) created by following the tutorial; if this was re-built periodically, say as frequently as the local mirror was rsync'ed, this could still maintain even distribution of network traffic.  This approach has not been tested.
Comment 1 Paul W. Frields 2007-12-08 01:37:08 EST
The mirror-tutorial is obsolete and no longer maintained.  For current mirroring
information pertinent to end users and mirror administrators, refer to:

http://fedoraproject.org/wiki/Infrastructure/MirrorManager
Comment 2 eric@christensenplace.us 2009-07-07 00:09:48 EDT
Ticket moved to allow products to be removed from BZ.

Note You need to log in before you can comment on or make changes to this bug.